#include <iostream>

using namespace std;
int main() {
    int Na;
    cin>>Na;

    int A[1000];
    int B[1000];

    for (int i = 0; i < Na; ++i){
        cin >> A[i];
    }
     for (int i = 0; i < Na; ++i){
        cin >> B[i];
    }
     int maxVrednost = 0;
    for (int L = 0; L < Na; ++L){
        int xorVrednost = 0;
        int andVrednost = B[L];

        for (int R = L; R < Na; ++R) {
            xorVrednost ^= A[R];
            andVrednost &= B[R];
            int trenutnaVrednost = xorVrednost * andVrednost;

            if (trenutnaVrednost > maxVrednost) {
                maxVrednost = trenutnaVrednost;
            }
        }
    }

    cout<<maxVrednost<<endl;

    return 0;
}